Skip to main content
Resource Center/Bare Metal Management (Plus)/Bare Metal Management Operations

CreateBaremetalInstance

CreateBaremetalInstance

POST/zstack/v1/baremetal/instances

Operation ID

CreateBaremetalInstance

Since

2.6.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • name
      StringRequired

      The name of the bare metal instance.

    • description
      String

      Optional. The detailed description of the bare metal instance.

    • chassisUuid
      StringRequired

      The UUID of the bare metal chassis.

    • imageUuid
      StringRequired

      The image UUID.

    • templateUuid
      String

      Optional. The UUID of the preconfigured template.

    • username
      String

      Optional. The system user of the bare metal instance.

    • password
      String

      Optional. The password of the bare metal instance.

    • nicCfgs
      Map

      Optional. The network configurations of the bare metal instance.

    • bondingCfgs
      Map

      Optional. The network bonding configurations of the bare metal instance.

    • customConfigurations
      Map

      Optional. The custom configurations of the bare metal instance.

    • strategy
      String

      Optional. The strategy used to create the bare metal instance.

    • resourceUuid
      String

      The resource UUID. If you specify this parameter, the value of this parameter is the UUID of the bare metal instance.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    BaremetalInstanceInventoryRequired

    See inventory

    • uuid
      StringRequired

      The UUID of the bare metal instance.

    • name
      StringRequired

      The name of the bare metal instance.

    • description
      StringRequired

      The detailed description of the bare metal instance.

    • zoneUuid
      StringRequired

      The zone UUID.

    • clusterUuid
      StringRequired

      The cluster UUID.

    • pxeServerUuid
      StringRequired

      The pxe server UUID.

    • chassisUuid
      StringRequired

      The UUID of the bare metal chassis.

    • imageUuid
      StringRequired

      The image UUID.

    • platform
      StringRequired

      The system platform.

    • state
      StringRequired

      The resource state.

    • status
      StringRequired

      The resource status.

    • createDate
      TimestampRequired

      The time when the bare metal instance was created.

    • lastOpDate
      TimestampRequired

      The time when the bare metal instance was last modified.

    • bmNics
      ListRequired

      See bmNics

      • uuid
        StringRequired

        The UUID of the NIC of the bare metal instance.

      • baremetalInstanceUuid
        StringRequired

        The UUID of the bare metal instance.

      • l3NetworkUuid
        StringRequired

        The L3 network UUID.

      • mac
        StringRequired

        The MAC address of the bare metal instance.

      • ip
        StringRequired

        The IP address of the bare metal instance.

      • netmask
        StringRequired

        The netmask of the bare metal instance.

      • gateway
        StringRequired

        The gateway of the bare metal instance.

      • metadata
        StringRequired

        The metadata.

      • pxe
        BooleanRequired

        Indicates whether the bare metal instance is PXE boot by using its NIC.

      • createDate
        TimestampRequired

        The time when the bare metal instance was created.

      • lastOpDate
        TimestampRequired

        The time when the bare metal instance was last modified.